def get_template(status, message, data):
    # 构建返回模板
    template = {
        "status": status,
        "message": message,
        "data": data
    }
    return template


def get_error_message(code):
    error_messages = {
        0: "success",
        1001: "账号不能为空",
        1002: "密码不能为空",
        1003: "用户名已存在",
        1004: "该用户暂未注册",
        1005: "用户密码错误",
        1006: "noteid未知",
        2000: "请求参数不完整",
        2001: "token失效,请重新登录",
        2002: "系统错误"
        # 添加更多的错误码和错误信息
    }

    if code in error_messages:
        return error_messages[code]
    else:
        return "未知错误"
